# Imports the monkeyrunner modules used by this program
from com.android.monkeyrunner import MonkeyRunner, MonkeyDevice

dirName = 'snapshot'
testcaseId = '.DS_Store'
fileName = '/Users/okadatakahiro/Desktop/monkeyrunner_util/monkeyrunner_script/snapshot/.DS_Store.png'

# ================ set initialize parameters -s ======================
# Connects to the current device, returning a MonkeyDevice object
device = MonkeyRunner.waitForConnection()
# Installs the Android package. Notice that this method returns a boolean, so you can test
# sets a variable with the package's internal name
# !!! change for your application.!!! 
package = 'com.kopanitsa.testCamera'
# sets a variable with the name of an Activity in the package
# !!! change for your application.!!! 
activity = 'com.kopanitsa.testCamera.testCamera'
# sets the name of the component to start
runComponent = package + '/' + activity
runAction = "ACTION_MAIN"
# Runs the component
device.startActivity(component=runComponent, action=runAction)
# ================ set initialize parameters -e ======================

MonkeyRunner.sleep(5.0)
MonkeyRunner.sleep(5.0)

# Takes a screenshot
result = device.takeSnapshot()
# Writes the screenshot to a file
result.writeToFile(fileName,'png')

