# Imports the monkeyrunner modules used by this program
from com.android.monkeyrunner import MonkeyRunner, MonkeyDevice

dirName = 'snapshot'
testcaseId = 'monkeyrunner_tes'
fileName = '/Users/okadatakahiro/Desktop/monkeyrunner_util/monkeyrunner_script/snapshot/monkeyrunner_tes.png'

# ================ set initialize parameters -s ======================
# Connects to the current device, returning a MonkeyDevice object
device = MonkeyRunner.waitForConnection()
# Installs the Android package. Notice that this method returns a boolean, so you can test
# sets a variable with the package's internal name
# !!! change for your application.!!! 
package = 'com.kopanitsa.testCamera'
# sets a variable with the name of an Activity in the package
# !!! change for your application.!!! 
activity = 'com.kopanitsa.testCamera.testCamera'
# sets the name of the component to start
runComponent = package + '/' + activity
runAction = "ACTION_MAIN"
# Runs the component
device.startActivity(component=runComponent, action=runAction)
# ================ set initialize parameters -e ======================

MonkeyRunner.sleep(5.0)
device.touch(387.53543,352.1011,'DOWN_AND_UP')
MonkeyRunner.sleep(0.153)
MonkeyRunner.sleep(0.62)
device.touch(549.8269,209.54187,'DOWN_AND_UP')
MonkeyRunner.sleep(0.181)
MonkeyRunner.sleep(0.971)
device.touch(194.27133,255.03949,'DOWN_AND_UP')
MonkeyRunner.sleep(0.122)
MonkeyRunner.sleep(0.54)
device.touch(268.80707,407.8357,'DOWN_AND_UP')
MonkeyRunner.sleep(0.103)
MonkeyRunner.sleep(0.462)
device.touch(445.8294,268.68878,'DOWN_AND_UP')
MonkeyRunner.sleep(0.183)
MonkeyRunner.sleep(1.576)
device.press('KEYCODE_MENU','DOWN')
MonkeyRunner.sleep(1.407)
device.press('KEYCODE_MENU','DOWN')
MonkeyRunner.sleep(0.72)
device.press('KEYCODE_MENU','DOWN')
MonkeyRunner.sleep(2.702)
device.press('KEYCODE_BACK','DOWN')
MonkeyRunner.sleep(2.483)
device.press('KEYCODE_BACK','DOWN')
MonkeyRunner.sleep(1.636)
device.press('KEYCODE_BACK','DOWN')
MonkeyRunner.sleep(5.0)

# Takes a screenshot
result = device.takeSnapshot()
# Writes the screenshot to a file
result.writeToFile(fileName,'png')

